"""empty message

Revision ID: b220590fa9ce
Revises: 65567f5dd9a2
Create Date: 2021-03-08 17:25:56.359021

"""
from alembic import op
import sqlalchemy as sa
from sqlalchemy.dialects import mysql

# revision identifiers, used by Alembic.
revision = 'b220590fa9ce'
down_revision = '65567f5dd9a2'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.alter_column('ticket', 'course_id',
               existing_type=mysql.INTEGER(),
               nullable=False)
    op.alter_column('ticket', 'created_by',
               existing_type=mysql.INTEGER(),
               nullable=False)
    op.alter_column('ticket', 'status_code',
               existing_type=mysql.INTEGER(),
               nullable=False)
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.alter_column('ticket', 'status_code',
               existing_type=mysql.INTEGER(),
               nullable=True)
    op.alter_column('ticket', 'created_by',
               existing_type=mysql.INTEGER(),
               nullable=True)
    op.alter_column('ticket', 'course_id',
               existing_type=mysql.INTEGER(),
               nullable=True)
    # ### end Alembic commands ###
